<template>
	<div class="app-container">
		<el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="70px">
			<el-row>
		    <el-col :span="24">
		    	<el-row>
		    		<el-col :span="12" class="jehak">
		    			<el-form-item label="居住地址" prop="villagerGroup">
		            <el-cascader
		            	placeholder="点击选择居住地址"
		            	:options="optionsList"
		            	filterable
		            	@change="chahetwos"
		            	:props="optionPropsssd"
		            	style="width: 141%;"
		            	@keyup.enter.native="handleQuery"
		              ref = "cdd"
		              v-model="listd"
		              @active-item-change="handleItemChangefr"
		            ></el-cascader>
		            <!-- optionPropsssd  optionPropsss-->
		    			</el-form-item>
		    		</el-col>
		        <el-col :span="12" class="jehak">
		        	<el-form-item label="户籍地址" prop="villagerGroup">
		            <el-cascader
		            	placeholder="点击选择户籍地址"
		            	:options="optionsList"
		            	:filterable="true"
		            	separator="/"
		            	@change="chahetwo"
		            	:props="optionPropsss"
		            	style="width: 134%;"
		            	ref="myCascaderqty"
		              v-model="lser"
		              @active-item-change="handleItemChangefr"
		              @keyup.enter.native="handleQuery"
		            ></el-cascader>
		        	</el-form-item>
		        </el-col>

		    	</el-row>
		    </el-col>
				<el-col :span="24">
					<el-row>
						<el-col :span="7">
							<el-form-item label="身份证号" prop="idCard">
								<el-input v-model="queryParams.idCard" placeholder="请输入身份证号码" style="width:240px;" clearable @keyup.enter.native="handleQuery" />
							</el-form-item>
						</el-col>
		        <el-col :span="5">
		        	<el-form-item label="姓名" prop="userName">
		        		<el-input v-model="queryParams.userName" placeholder="请输入姓名" style="width:150px;" clearable @keyup.enter.native="handleQuery" />
		        	</el-form-item>
		        </el-col>
						<el-col :span="6">
							<el-form-item label="联系号码" prop="phoneNum">
								<el-input v-model="queryParams.phoneNum" placeholder="请输入联系号码" style="width:180px;"clearable @keyup.enter.native="handleQuery" />
							</el-form-item>
						</el-col>
		        <el-col :span="6">
		        	<el-form-item label="是否确认" prop="status">
		        		<el-select v-model="queryParams.status" placeholder="是否确认" clearable style="width: 150px"  @keyup.enter.native="handleQuery"
		        	     >
		        			<el-option v-for="dict in typeOptionshuujs" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
		        		</el-select>
		        	</el-form-item>
		        </el-col>
					</el-row>
				</el-col>
				<el-col :span="24">
					<el-row>
		        <el-col :span="7">
                <el-form-item label="出生日期" >
                	<el-date-picker
                	  clearable
                	 v-model="queryParams.csrq"
                	 type="datetime"
                	 value-format="yyyy-MM-dd HH:mm:ss"
                	 format="yyyy-MM-dd HH:mm:ss"
                	  placeholder="出生日期"
                	style="width:240px;"
                	></el-date-picker>
                </el-form-item>
		        </el-col>

		        <el-col :span="4" >
		        	<el-form-item>
		        		<el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
		        		<el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
		        	</el-form-item>
		        </el-col>
					</el-row>
				</el-col>
			</el-row>
		</el-form>

		<el-row :gutter="10" class="mb8">
			<el-col :span="1.5">
			  <!-- <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="handleAdd" >新增</el-button> -->
			 </el-col>
			<el-col :span="1.5">
				<!-- <el-button type="success" plain icon="el-icon-edit" size="mini" :disabled="single" @click="handleUpdate" >查看确认</el-button> -->
			</el-col>
			<el-col :span="1.5">
				<!-- <el-button type="danger" plain icon="el-icon-edit" size="mini" :disabled="multiple" @click="handleDelete" >变更</el-button> -->
			</el-col>
      <!-- <el-col :span="1.5">
      	<el-button type="primary" :plain="nhykis" icon="el-icon-view" size="mini"  @click="chajnd" >查看常住人口信息</el-button>
      </el-col> -->
      <!-- <el-col :span="1.5">
      	<el-button type="primary" :plain="nhyki" icon="el-icon-view" size="mini"  @click="chajnds" >查看户籍人口信息</el-button>
      </el-col> -->

			<right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
		</el-row>

		<el-table v-if="nbdgywkajs == true" v-loading="loading" :data="infoList" @selection-change="handleSelectionChange" stripe style="width: 100%" :height="tableMaxHeight">
			<el-table-column type="selection" width="55" align="center" />
			<el-table-column label="父亲姓名" align="center" prop="fqxm" fixed width="100"/>
			<el-table-column label="父亲身份证号" align="center" prop="fqsfzjhm" width="165" />
			<el-table-column label="母亲姓名" align="center" prop="mqxm" width="100" />
      <el-table-column label="母亲身份证号" align="center" prop="mqsfzjhm" width="165" />
      <el-table-column label="新生儿姓名" align="center" prop="xsexm" width="100" />
      <el-table-column label="新生儿身份证号" align="center" prop="sfzjhm" width="165" />
      <el-table-column label="出生时间" align="center" prop="csrq" width="110" />
      <el-table-column label="出生医院" align="center" prop="csyljg" width="110" />
      <el-table-column label="状态" align="center"   width="80">
        <template slot-scope="scope">
         {{scope.row.status == 1? '未确认' : '已确认'}}
        </template>
      </el-table-column>
			<!-- <el-table-column label="户籍地址" align="center" prop="domicileSelect"  /> -->

      <!-- nowInSelect -->

			<!-- <el-table-column label="居住地址" align="center" prop="nowInSelect"  /> -->

			<el-table-column label="操作" align="left" class-name="small-padding fixed-width" fixed="right"  width="120px">
				<template slot-scope="scope">
					<el-button size="mini" type="text" icon="el-icon-edit" @click="chakei(scope.row)" >查看确认</el-button>
		      <!-- <el-button size="mini" type="text" icon="el-icon-edit" @click="handleDelete(scope.row)" class="hueya" >变更</el-button> -->

				</template>
			</el-table-column>
		</el-table>

		<pagination v-show="total > 0" :total="total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize" @pagination="getList" />

		<!-- 添加或修改疫苗信息对话框 -->
		<el-dialog :title="title" :visible.sync="opens" width="1240px" append-to-body>
			<el-form ref="form" :model="form" :rules="rules" label-width="100px">
				<el-row>
					<el-col :span="8" >
            <!-- @blur="idcde" -->
						<el-form-item label="身份证号" prop="idCard"><el-input v-model="form.idCard" placeholder="请输入身份证号码"   /></el-form-item>
					</el-col>
					<el-col :span="8" >
						<el-form-item label="姓名" prop="userName"><el-input v-model="form.userName" placeholder="请输入姓名" /></el-form-item>
					</el-col>
					<el-col :span="8" >
						<el-form-item label="性别" prop="gender">

							<!-- <el-input v-model="form.gender" placeholder="请输入性别" /> -->

							<el-select v-model="form.gender" placeholder="性别" clearable style="width: 100%;">
								<el-option v-for="dict in statusOptions" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
							</el-select>
						</el-form-item>
					</el-col>
					<el-col :span="24">
						<el-row>
							<el-col :span="8">
								<el-form-item label="联系号码" prop="phoneNum"><el-input v-model="form.phoneNum" placeholder="请输入联系号码" /></el-form-item>
							</el-col>
							<el-col :span="8">
								<el-form-item label="人员分类" prop="keyIndustries">
									<el-select v-model="form.keyIndustries" placeholder="人员分类" clearable style="width: 100%;">
										<el-option v-for="dict in typeOptionsname" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
									</el-select>
								</el-form-item>

							</el-col>
							<el-col :span="8">
								<el-form-item label="年龄" prop="age"><el-input v-model="form.age" placeholder="请输入年龄" /></el-form-item>
							</el-col>
						</el-row>
					</el-col>
          <el-col :span="24">
          	<el-row>
          		<el-col :span="12" style="position: relative;">
                <span style="position: absolute;top:5px; color: red;left:25px;">*</span>
          			<el-form-item label="户籍地址" style="margin-bottom: 5px;" >
          				<!-- <el-input v-model="form.villageTowns" type="textarea" placeholder="请输入内容" /> -->
          				<!-- <treeselect v-model="form.parentId" :options="deptOptionstwo" :normalizer="normalizer" :flat="true" :maxHeight="150" @select="djieskle" :multiple=true placeholder="点击选择户籍地" /> -->
          				<el-cascader
                  v-if="nhyesfx"
          					:placeholder="nhdyesfgh"
          					:options="optionsLists"
          					:filterable="true"
          					separator="/"
          					@change="chahe"
          					:props="optionPropsss"
          					style="width: 100%;"
          					ref="myCascader"
                    @active-item-change="handleItemChanges"
                    :class="[nhdyesfgh == '点击选择户籍地址' ? '' : 'placf']"
          				></el-cascader>
                  <!-- @click.native="clicks"
                  :popper-class="'cascader' + id" -->
                  <!-- <el-cascader
                  	:placeholder="nhdyesfgh"
                  	:options="optionsList"
                  	:filterable="true"
                  	separator="/"
                  	@change="chahe(index)"
                  	v-model="selected"
                  	:props="optionPropsss"
                  	style="width: 100%;"
                  	ref="myCascader"
                    @active-item-change="handleItemChange"
                    :class="[nhdyesfgh == '点击选择居住地址' ? '' : 'placf']"
                  ></el-cascader> -->
                  <p style="line-height: 20px; font-size: 12px;color: red;">点击小圆圈一级一级选择</p>
          			</el-form-item>
          		</el-col>

          		<el-col :span="12">
          			<el-form-item label="详细地址" prop="nowIn"><el-input v-model="form.nowIn" type="input" placeholder="请输入户籍详细地址" /></el-form-item>
          		</el-col>
          	</el-row>
          </el-col>

					<el-col :span="24" v-for="(item, index) in form.czrkJzdzList" :key="index" v-show="senlsduea == false || index !== 0">
            <el-col :span="12">
            	<el-form-item label="居住地址" prop="province" style="margin-bottom: 5px;">
                <el-cascader
                	:placeholder="item.plaed"
                	:options="item.optiodne"
                	:filterable="true"
                	separator="/"
                	@change="onSelected(index)"
                	:props="optionPropsss"
                	style="width: 100%;"
                	:ref="'myCascaderf' + '' + index"
                  v-model="item.seleted"
                  @active-item-change="handleItemChange"
                  :class="[item.plaed == '请选择居住地址' ? '' : 'placf']"
                ></el-cascader>
                <!-- :popper-class="'cascader' + idsg"
                @click.native="click(index)" -->
                 <!-- @active-item-change="handleItemChange" v-if = 'nhdyesku' -->
                 <p style="line-height: 20px; font-size: 12px;color: red;">点击小圆圈一级一级选择</p>
            	</el-form-item>
              <!-- :key="cascaderKey"  seleted -->

            </el-col>
            <el-col :span="11">
            	<el-form-item label="详细地址" prop="nowIn"><el-input v-model="item.nowIn" type="input" placeholder="请输入内容" /></el-form-item>
            </el-col>
            <el-col :span="1">
              <div class="hyeoa" style="margin-top: 10px;">
              	 <el-tooltip class="item" effect="dark" content="新增居住地址信息,请慎重操作" placement="top-start">
              	      <img src="../../../assets/images/icon_tc_add.png" alt="" class="hueyde" @click="tijea(index)" />
              	    </el-tooltip>
              		<el-tooltip class="item" effect="dark" content="删除无法恢复,请慎重操作" placement="top-start">
              		     <img src="../../../assets/images/delei.png" alt="" class="hueydele" @click="naeyrfakjf(index, item)" />
              		   </el-tooltip>
              </div>
            </el-col>
          </el-col>

					<el-col :span="24" >
						<el-col :span="12">
							<el-form-item label="户主" prop="houseType">
								<el-select v-model="form.houseType" placeholder="户主" clearable style="width: 100%;"  @change="changese">
									<el-option v-for="dict in typeOptionshuuj" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
								</el-select>
							</el-form-item>
						</el-col>
						<el-col :span="12">
							<el-form-item label="户编号" prop="code">
							<el-input  v-model="form.code" placeholder="请输入户主编号"/>
              <!-- :disabled="nhe" -->
							</el-form-item>
						</el-col>
					</el-col>
          <el-col :span="24" >
            <el-col :span="12" >
                <el-form-item label="与户主关系" prop="yhzgx">
                	<el-select v-model="form.yhzgx" placeholder="与户主关系" clearable style="width: 100%;">
                		<el-option v-for="dict in typeOptionstyzandeh" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictLabel" />
                	</el-select>
                </el-form-item>
            </el-col>
            <el-col :span="12">
            	<el-form-item label="网格" prop="houseTyper">
            		<el-cascader
            			:placeholder="ndhesdweaf"
            			:options="optionsListwg"
            			filterable
            			@change="chahetwoswge"
            			:props="optionPropsssdwg"
            			style="width: 100%;"
            			@keyup.enter.native="handleQuery"
                  :key="nhduesw"
            		  ref = "cddfr"
            		  @active-item-change="handleItemChangefrwg"
                  :class="[ndhesdweaf == '点击选择网格' ? '' : 'placf']"
            		></el-cascader>
            	</el-form-item>
            </el-col>
          </el-col>
          <el-col :span="24">
              <el-form-item label="备注" prop="remark">
              	<el-input v-model="form.remark" type="input" placeholder="请输入户籍详细地址" />
              </el-form-item>
          </el-col>
				</el-row>
			</el-form>
			<div slot="footer" class="dialog-footer">
				<el-button type="primary" @click="submitForm">确 定</el-button>
				<el-button @click="cancel">取 消</el-button>
			</div>
		</el-dialog>

		<!-- 图片预览 -->
		<el-dialog :close-on-click-modal="false" title="变更原因" :visible.sync="imashow" width="800px" append-to-body >
      <el-form ref="formgt" :model="formgt" :rules="ruleshy" label-width="100px" style="padding-bottom: 30px;">
      <el-form-item label="变更:" prop="houseType">
      	<el-select v-model="formgt.houseType" placeholder="请选择变更原因" clearable style="width: 100%;">
      		<el-option v-for="dict in typeOptions" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
      	</el-select>
      </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
      	<el-button type="primary" @click="submitFormfr">确 定</el-button>
      	<el-button @click="cancel">取 消</el-button>
      </div>
		</el-dialog>

    <el-dialog :close-on-click-modal="false" title="确认新生儿" :visible.sync="jiezhong" width="600" append-to-body class="ojhgy">
    	<div style="color: red;">请选择新生儿基本信息跟随父亲还是母亲</div>
    	<div slot="footer" class="dialog-footer">
    		<el-button type="primary" @click="submitFormfr(0)">跟随父亲</el-button>
    		<el-button type="primary" @click="submitFormfr(1)">跟随母亲</el-button>
    	</div>
    </el-dialog>
	</div>
</template>

<script>
import {listRoleergth } from '@/api/system/residentss';
import { listInfo,listInfoch, getInfo, delInfo, addInfo, updateInfo, exportInfo, listRoleer, idces, delInfort,yiaoe,exportConfig,exportConfigtyr,importLog,delInfohy,listRoleergthwg } from '@/api/system/xsr';
import { treeselect } from '@/api/system/dept';
import Treeselect from '@riophae/vue-treeselect';
import { getToken } from '@/utils/auth';
import '@riophae/vue-treeselect/dist/vue-treeselect.css';
export default {
	name: 'Info',
	components: { Treeselect },
	data() {
		return {
			// 遮罩层
			loading: true,
			// 选中数组
			ids: [],
      id:'fg',
      idsg:'gh',
			// 非单个禁用
			single: true,
			// 非多个禁用
			multiple: true,
			// 显示搜索条件
			showSearch: true,
			// 总条数
			total: 0,
      ruleshy:{},
			// 疫苗信息表格数据
			infoList: [],
			dialogImageUrl: '',
			// 弹出层标题
			title: '',
      totalfr:0,
      nhyesfx:false,
      ndhesdweaf:'点击选择网格',
			// 是否显示弹出层
			opens: false,
			process: process.env.VUE_APP_BASE_API,
			// 查询参数
			queryParams: {
				pageNum: 1,
				pageSize: 10,
				villageTowns: null,
				village: null,
				villagerGroup: null,
				houseType: null,
				province: null,
				city: null,
				userName: null,
        isRl: '否',
        queryType:null,
				gender: null,
				idCard: null,
				phoneNum: null,
				keyIndustries: null,
				isVaccination: null,
				vaccineName: null,
				vaccinationTime: null,
				vaccinationPlace: null,
				contraindication: null,
				params:{
					age:''
				}
			},
			config: [],
			comfietg:[],
			configther:[],
			configfor:[],
      senlsduea:false,
      nhykis:true,
      nhyki:false,
      nhduesw:0,
      typeOptionshuujs: [
            	{
            		dictValue: '2',
            		dictLabel: '是'
            	},
            	{
            		dictValue: '1',
            		dictLabel: '否'
            	}
            ],
			// 表单参数
			form: {
				nowIn: '',
				age:'',
				code:'',
				czrkJzdzList: [
					{
						provinceId: '',
						province: '',
						deptId: '',
						cityId: '',
						city: '',
						regionId:'',
            region: '',
            townId: '',
            town: '',
            villageId: '',
            village: '',
            nowIn:'',
            seleted:[],
            plaed:'请选择居住地址',
            optiodne:[],
						disableg:false,

					}
				]
			},
      nbdgywkajs:false,
      // 用户导入参数
      upload: {
        // 是否显示弹出层（用户导入）
        opens: false,
        // 弹出层标题（用户导入）
        title: "",
        // 是否禁用上传
        isUploading: false,
        // 是否更新已经存在的用户数据
        updateSupport: 0,
        // 设置上传的请求头部
        headers: { Authorization: "Bearer " + getToken() },
        // 上传的地址
        url: process.env.VUE_APP_BASE_API + "/boman-web-core//file/common/importYmjz"
      },
			// 表单校验
			rules: {
				idCard: [{ required: true, message: '身份证号码不能为空', trigger: 'blur' }],
				userName: [{ required: true, message: '姓名不能为空', trigger: 'blur' }],
				// villageTowns:[{ required: true, message: '户籍地址不能为空或不能只选潜山市', trigger: 'blur' }],
        houseType:[{ required: true, message: '请选择是否户主', trigger: 'blur' }],
        code:[{ required: true, message: '请输入户编号信息', trigger: 'blur' }],
        yhzgx:[{ required: true, message: '请选择与户主关系', trigger: 'blur' }],
      },

			selected: [],
			selectedtwo: [],
			statusOptions: [
				{
					dictValue: '女',
					dictLabel: '女'
				},
				{
					dictValue: '男',
					dictLabel: '男'
				}
			],
			statusOptionstue: [
				{
					dictValue: '已完成',
					dictLabel: '已完成'
				},
				{
					dictValue: '未完成',
					dictLabel: '未完成'
				}
			],
			typeOptionshuuj: [
				{
					dictValue: '是',
					dictLabel: '是'
				},
				{
					dictValue: '否',
					dictLabel: '否'
				}
			],
			deptOptionstwo: [],
			options: [],
      optionss:[],
      optionsList: [],
			optionProps: {
				value: 'areaId',
				label: 'name',
				checkStrictly: true,
			},
      optionPropsssd:{
        value: 'areaId',
        label: 'name',
        checkStrictly: true,
        lazy: true,
        lazyLoad: this.lazyLoads,
        leaf: "leaf"
      },
      optionPropsss: {
      	value: 'areaId',
      	label: 'name',
      	checkStrictly: true,
      },
      optionPropsssdwg:{
        value: 'id',
        label: 'areaName',
        checkStrictly: true,
      },
			optionPropstwo: {
				value: 'id',
				label: 'label',
				children: 'children',
				checkStrictly: true
			},
			heuiq: [],
			typeOptions: [],
			typeOptionsty: [
				{
					dictValue: '是',
					dictLabel: '是'
				},
				{
					dictValue: '否',
					dictLabel: '否'
				}
			],
			typeOptionstyzandeh:[],
			angesList: [

			],
			typeOptionsname: [],
			typeOptionstimes: [],
			typeOptionsvaccinatio: [],
			typeOptionscont: [],
			typeOptionscontty: [],
			typeOptionscontqit:[],
			// 剂次
			typeOptionstimesgt: [
				{
					dictValue: '1',
					dictLabel: '1'
				},
				{
					dictValue: '2',
					dictLabel: '2'
				},
				{
					dictValue: '3',
					dictLabel: '3'
				},
				{
					dictValue: '加强针',
					dictLabel: '加强针'
				}
			],
			imashow: false,
			naneme: false,
			shouwes: false,
			shouwestwo:false,
			villageTownshy: undefined,
			naiseurya: '',
			hsuej: '',
			jdourdjoaj: false,
			jiezhong: false,
			jiezheList: [],
      optionsListwg:[],
			fireLise:{config:[]},
			nameutaiL:0,
			jue:false,
			nhue:true,
      exportflag:true,
      errorlog:false,
      errorList:[],
      idfer:0,
      formgt:{},
      list: [],
      listd:[],
      lser:[],
      dneyhsd:{},
      nhdyesfgh:'点击选择户籍地址',
      nhe:false,
      nhyesoder:0,
      ndhuwosdjh:{
        pageNum: 1,
        pageSize: 10,
      },
      tableMaxHeight:300,
      cascaderKey:0,
      optionsLists:[],
      nhyeojd:false,
      ndhyuewkg:[],
      nhdyesku:false,
      shouwef:false,
      ncdwee:1,
      nhsxs:{}
		};
	},
	created() {
		this.getList();
		// this.getTreeselectjue();
    this.mnyesfjer(0)
    // this.mnyesfjers(0)
    // this.mnyesfjerop(0)
    this.mnyesfjeropwg(0)
    // this.getTreeselectjuetj()
		// 重点行业
		this.getDicts('person_type').then(response => {
			this.typeOptions = response.data;
		});
		// 疫苗名称
		// this.getDicts('renyuanfenlei').then(response => {
		// 	this.typeOptionsname = response.data;
		// });

    // 与户主关系
    // this.getDicts('yuhuzhuguanxi').then(response => {
    // 	this.typeOptionstyzandeh = response.data;
    // });

		// 年龄阶段
		this.getDicts('age_interval').then(response => {
			this.angesList = response.data;
		});

		// this.form.province = this.selected[0];
		// this.form.city = this.selected[1];
		// this.form.region = this.selected[2];
		console.log(this.selected,456)
    console.log(this.cascaderKey,347)
		// this.queryParams.province = this.selectedtwo[0];
		// this.queryParams.city = this.selectedtwo[1];
		// this.queryParams.region = this.selectedtwo[2];
		// this.naiseurya = this.form.province + this.form.city + this.form.region;
    window.onresize = () => {
                    this.changeTableMaxHeight()
                  }
                  this.changeTableMaxHeight()
	},
	mounted() {
		console.log(136)
    window.onresize = () => {
                    this.changeTableMaxHeight()
                  }
                  this.changeTableMaxHeight()
	},
	methods: {
    nhyeosdsef(){
     console.log(234)
    },
		onSelected(data,val) {
			console.log(data, 125);
      if(this.opens == false){
        return  false
      }
      this.nameutaiL = data
      console.log(this.nameutaiL,76543)
      console.log(this.form.czrkJzdzList[data].seleted)
      console.log(this.$refs['myCascaderf' + '' + data],123)
      console.log(this.$refs['myCascaderf' + '' + data][0].$refs.panel.checkedValue,data)
      console.log(this.$refs['myCascaderf' + '' + data][0].getCheckedNodes()[0].pathLabels)

      // if(data !== 0){
      //   if(this.nhyeojd = true){
      //     this.$refs['myCascaderf' + '' + this.nameutaiL][0].$refs.panel.clearCheckedNodes()
      //   }
      // }
      // var nhedse = []
      // nhedse = this.$refs['myCascaderf']
      // if(nhedse.length > 1){
      //   this.$refs['myCascaderf'] = this.$refs['myCascaderf'][0];
      //   console.log(this.$refs['myCascaderf'],133)
      //   // for(var i = 0 ; i < nhedse.length; i++){
      //   //   if(i == 0){
      //   //     this.$refs['myCascaderf'][0].$refs.panel.clearCheckedNodes()
      //   //   }
      //   // }
      // }
   //    this.$refs['myCascaderf'][0].$refs.panel.checkedValue =  this.form.czrkJzdzList[data].seleted
   //    console.log(this.$refs['myCascaderf'][0].$refs.panel.checkedValue,data)
   //    console.log(this.$refs['myCascaderf'][0].getCheckedNodes()[0].pathLabels)
      this.nhyeojd = false
      // this.nhdyesku = false
			// province
      let nhdye = []
      nhdye = this.$refs['myCascaderf' + '' + data][0].getCheckedNodes()[0].pathLabels
      let nhyhe = []
      nhyhe = this.form.czrkJzdzList[data].seleted
      if(nhdye.length == 1){
        this.form.czrkJzdzList[data].provinceId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].province = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].cityId = null
        this.form.czrkJzdzList[data].city = null
        this.form.czrkJzdzList[data].regionId = null
        this.form.czrkJzdzList[data].region = null
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 2){
        this.form.czrkJzdzList[data].cityId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].city = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].regionId = null
        this.form.czrkJzdzList[data].region = null
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 3){
        this.form.czrkJzdzList[data].regionId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].region = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 4){
        this.form.czrkJzdzList[data].townId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].town = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 5){
        this.form.czrkJzdzList[data].villageId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].village = nhdye[ nhdye.length - 1];
      }
     this.form.czrkJzdzList[data].deptId =  nhyhe[ nhyhe.length - 1]
      // id
			// this.form.province = data[0];
			// this.form.city = data[1];
			// this.form.region = data[2];
      // 名称
			// this.naiseurya = this.form.province + this.form.city + this.form.region;
			// if (this.jdourdjoaj == false) {
			// 	// 修改
			// 	this.form.nowIn = '';
			// }
			// this.form.nowIn = undefined
			// this.form.villageTowns = data[3]
      console.log(this.form)
		},
		dakousr() {
			console.log(2345);
		},
    mnyesfjer(index,val){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return
        }
        if(val !== undefined){
          this.nameutaiL = val
        }
         console.log(this.nameutaiL,87)
      	this.form.czrkJzdzList[this.nameutaiL].optiodne = this.handleData(response.data);
        this.optionsLists = this.handleData(response.data);
        this.optionsList = this.handleData(response.data);

        // this.form.czrkJzdzList[0].optiodne
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },

    mnyesfjeropwg(index){
      this.loading = true;
      let pids = {}
      pids.pid= index
      listRoleergthwg(pids).then(response => {
      	this.optionsListwg = this.handleDatawg(response.data);
      	this.loading = false;
      });
    },
    mnyesfjerty(index,val){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return
        }
        if(val !== undefined){
          this.nameutaiL = val
        }
        for(var i = 0 ; i < this.form.czrkJzdzList.length ; i++){
          // this.nameutaiL = i
          // this.mnyesfjerty(0)
          this.form.czrkJzdzList[i].optiodne = this.handleData(response.data);
        }

        // this.form.czrkJzdzList[0].optiodne
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },
    mnyesfjerop(index){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
      	this.optionsList = this.handleData(response.data);
      	this.loading = false;
      });
    },
    mnyesfjers(index){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return
        }
      	this.optionsLists = this.handleData(response.data);
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },
    lazyLoads(node, resolve) {
      console.log(node,34545678)
          if (node.level == 0) {
            let res =  this.mnyesfjer(0); // 不存在就默认加载第一集节点
            resolve(res);
          } else {
            // 有children属性了就不要再请求了,不然字节点会重复
            if (!node.data.children) {
              // 获取子节点数据
              let res =  this.mnyesfjer(node.data.areaId);
              console.log(node.children)
              let nfhh = node.children.push(res)
              setTimeout(() => {
                resolve(res);
              }, 200);
            } else {
              resolve([]);
            }
          }
        },
     format() {
          let res =  this.getfristChild(); // 拿一级数据
          this.list.forEach((item) => {
            // 遍历回显的id 二维数组
            if (item.length > 1) {
              item.forEach(async (sitem, index) => {
                if (index == item.length - 1) {
                  return; // 如果是一级节点就不用查找了
                }
                let arr =  this.getOther(sitem); // 不是一级，获取子级
                this.findItem(res, arr, sitem); //  判断当前拿到的子级数据属于哪个一级数据下的子级，并且加到当前一级的children属性下
              });
            }
          });
           },
     // 递归判断
           findItem(res, arr, id) {
            for (let i = 0; i < res.length; i++) {
              if (res[i].value === id) {
                res[i].children = arr; // 有chidlren 也要判断是不是这个children下的子级
                return res;
              }
              if (res[i].children) {
                this.findItem(res[i].children, arr, id);
              }
            }
             return res;
          },


   // getAddress() {
   // 	        this.mnyesfjer(0).then(res => {
   // 	          this.optionsList =  this.handleData(res.data);
   // 	        }).catch(err => {
   // 	        })
   // 	    },
   	     handleItemChange(val) {
           console.log(val,235)
   	        let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
   	        let level = val.length + 1;  //需请求第几级地址
            console.log(this.nameutaiL,2345)
            console.log(this.form.czrkJzdzList,12365)
            this.$set(this.form.czrkJzdzList[this.nameutaiL],'optiodne',this.handleData(this.form.czrkJzdzList[this.nameutaiL].optiodne, code, level))
   	        // this.form.czrkJzdzList[this.nameutaiL].optiodne = this.handleData(this.form.czrkJzdzList[this.nameutaiL].optiodne, code, level);
         	  // console.log(this.optionsList,23456)
            // console.log(this.$refs.myCascaderf,2588)
            // console.log(this.$refs['myCascaderf'][0].$refs.panel.clearCheckedNodes(),258)
            // if(data !== 0){
              // if(this.nhyeojd == true){
              //   this.$refs['myCascaderf'][this.nameutaiL].$refs.panel.clearCheckedNodes()
              // }
            // }
            // this.$refs['myCascaderf'][0].$refs.panel.clearCheckedNodes()
            // console.log(this.$refs['myCascaderf'][this.nameutaiL].$refs.panel.checkedValue,345678)

          },


          handleItemChangefr(val) {
            console.log(val,235)
             let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
             let level = val.length + 1;  //需请求第几级地址
             this.optionsList = this.handleData(this.optionsList, code, level);
          	},

          handleItemChanges(val) {
            console.log(val,235)
             let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
             let level = val.length + 1;  //需请求第几级地址
             this.optionsLists = this.handleData(this.optionsLists, code, level);
             this.cascaderKey = this.cascaderKey + 1
          	},

         	handleData(data, val, level) {
            console.log(data,val,level,7536)
            var that = this
   	        for (let i = 0; i < data.length; i++) {
   	          if(!data[i].children) {
   	            that.$set(data[i], 'children', []);
   	          }
   	          if(data[i].areaId === val){
                let vfer = {}
                vfer.pid = val
   	            listRoleergth(vfer).then(res => {
                  // this.cascaderKey = this.cascaderKey + 1
   	              if(res.data.length) {
                    console.log(i,4567)
   	                // data[i].children = res.data;
                    that.$set(data[i], 'children', res.data)

                     // this.nhdyesku = true
   	                data[i].children.forEach(ele => {
   	                  that.$set(ele, 'children', [])
   	                });
                    // console.log(data[i].children,45678)
   	              }else {

   	                data[i].children = undefined;


   	              }

   	            }).catch(err => {
   	            });
   	          }else {
   	            if(data[i].children.length){
   	              that.handleData(data[i].children,val,level)
   	            }
   	          }
   	        }
              // console.log(data,666666)
             return data;
         },

         handleItemChangefrwg(val) {
           console.log(val,235)
            let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
            let level = val.length + 1;  //需请求第几级地址
            this.optionsListwg = this.handleDatawg(this.optionsListwg, code, level);
            // this.cascaderKey = this.cascaderKey + 1
         	},

         handleDatawg(data, val, level) {
            console.log(data,val,level,7536)
            for (let i = 0; i < data.length; i++) {
              if(!data[i].children) {
                this.$set(data[i], 'children', []);
              }
              if(data[i].id === val){
                let vfer = {}
                vfer.pid = val
                listRoleergthwg(vfer).then(res => {
                  // this.cascaderKey = this.cascaderKey + 1
                  if(res.data.length) {
                    console.log(data[i].children,4567)
                    // data[i].children = res.data;
                    this.$set(data[i], 'children', res.data)
                    console.log(data[i].children,45678)
                     this.nhdyesku = true
                    data[i].children.forEach(ele => {
                      this.$set(ele, 'children', [])
                    });
                  }else {
                    data[i].children = undefined;
                  }
                }).catch(err => {
                });
              }else {
                if(data[i].children.length){
                  this.handleDatawg(data[i].children,val,level)
                }
              }
            }

             return data;
         },

		onSelectedtwo(data) {
			console.log(data);
			// province
			this.queryParams.province = data[0];
			this.queryParams.city = data[1];
			this.queryParams.region = data[2];
			// this.queryParams.villageTowns = data[3]
		},
		/** 查询疫苗信息列表 */
		getList() {
			this.loading = true;
      console.log(5)
			listInfo(this.queryParams).then(response => {
				this.infoList = response.rows;
        this.nbdgywkajs = true
				this.total = response.total;
				this.loading = false;
			});
		},
    getListch() {
    	this.loading = true;
    	listInfoch(this.queryParams).then(response => {
    		this.infoList = response.rows;
        this.nbdgywkajs = true
    		this.total = response.total;
    		this.loading = false;
    	});
    },
		getToken() {
			return getToken();
		},
		getTreeselectjue() {
			this.loading = true;
      let pids = {}
      pids.pid = 0
			listRoleer().then(response => {
				this.options = response.data;
				this.loading = false;
			});
		},
    // 统计数据
    getTreeselectjuetj() {
    	this.loading = true;
      listInfotj().then(response => {
        this.dneyhsd =  response.data
        this.loading = false;
      });
    },

		/** 转换角色数据结构 */
		normalizer(node) {
			// if (node.children && !node.children.length) {
			//   delete node.children;
			// }
			return {
				id: node.id,
				label: node.roleName
			};
		},
		// 点击组/角色
		djieskle(node, instanceId) {
			// this.personnel(node.id);
			console.log(node, instanceId);
		},
		// 身份证
		idcde(event) {
			console.log(event);
      console.log(event);
      	// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
      	let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
      	let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
      	// 护照
      	 // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
      	 let ncjsle = /^[a-zA-Z0-9]{5,17}$/
      	 let nhyeli = /^[a-zA-Z]{5,17}$/
      	// 港澳
      	let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
      	// 台湾
      	// let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
      	var tw =  /^[0-9]{8}$/;
      	 var twe = /^[0-9]{10}$/;
      	// 校验身份证：
      	console.log(reg.test(this.form.idCard),23741)
      	if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
      		this.idea();
      		// this.go(this.form.idCard.length);
      		// callback()
      	} else {
      	  if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
      	     console.log(3)
      	  }else{
      	    if(gnse.test(this.form.idCard)  ){
      	        console.log(4)
      	    }else{
      	      if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
      	        console.log(5)
      	      }else{
      	        this.msgInfo('证件格式不正确');
      	      }

      	      // return false
      	    }

      	  }
      		// callback(new Error('身份证号码不正确'))
      	}
      // },
			// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X

		},
		// 实现自动生成生日，性别，年龄
		go(val) {
			let iden = this.form.idCard;
			let sex = null;
			let birth = null;
			let birthr = '';
			let myDate = new Date();
			let month = myDate.getMonth() + 1;
			let day = myDate.getDate();
			let age = 0;

			if (val === 18) {
				age = myDate.getFullYear() - iden.substring(6, 10) - 1;
				sex = iden.substring(16, 17);
				birth = iden.substring(6, 10) + '-' + iden.substring(10, 12) + '-' + iden.substring(12, 14);
				if (iden.substring(10, 12) < month || (iden.substring(10, 12) == month && iden.substring(12, 14) <= day)) age++;
			}
			if (val === 15) {
				age = myDate.getFullYear() - iden.substring(6, 8) - 1901;
				sex = iden.substring(13, 14);
				birth = '19' + iden.substring(6, 8) + '-' + iden.substring(8, 10) + '-' + iden.substring(10, 12);
				if (iden.substring(8, 10) < month || (iden.substring(8, 10) == month && iden.substring(10, 12) <= day)) age++;
			}

			if (sex % 2 === 0) sex = '女';
			else sex = '男';
			this.form.gender = sex;
			// this.baseInfo.age = age;
			birthr = birth + '';
			console.log(birthr);
			// this.form.birthday = birthr;
			// this.$set(this.form.birthday, birthr)
			// this.baseInfo.birthplace = this.area[iden.substring(0,2)];
		},
		// 请求身份证数据
		idea() {
			idces({ idCard: this.form.idCard }).then(response => {
				console.log(response);
				this.form.gender = response.data.gender;
				// this.form.birthday = response.data.birthday;
				this.form.age = response.data.age
				this.form.code = response.data.code
				if (response.data.userName == null) {
					this.form.userName = undefined;
				} else {
					this.form.userName = response.data.userName;
				}
		    if(response.data.code == null){
		      this.form.code = null;
		    }else{
		      this.form.code = response.data.code;
		    }
		    if(response.data.province == null){
		      this.form.province = null;
		      this.form.provinceId = null;
		    }else{
		      this.form.province = response.data.province;
		      this.form.provinceId = response.data.provinceId;
		    }
		    if(response.data.city == null){
		      this.form.city = null;
		      this.form.cityId = null;
		    }else{
		      this.form.city = response.data.city;
		      this.form.cityId = response.data.cityId;
		    }
		    if(response.data.region == null){
		      this.form.region = null;
		      this.form.regionId = null;
		    }else{
		      this.form.region = response.data.region;
		      this.form.regionId = response.data.regionId;
		    }

		    if(response.data.villageTowns == null){
		      this.form.villageTowns = null;
		      this.form.villageTownsId = null;
		    }else{
		      this.form.villageTowns = response.data.villageTowns;
		      this.form.villageTownsId = response.data.villageTownsId;
		    }

		    if(response.data.village == null){
		      this.form.village = null;
		      this.form.villageId = null;
		    }else{
		      this.form.village = response.data.village;
		      this.form.villageId = response.data.villageId;
		    }

		    if(response.data.villagerGroupId == null){
		      this.form.villagerGroup = null;
		      this.form.villagerGroupId = null;
		    }else{
		      this.form.villagerGroup = response.data.villagerGroup;
		      this.form.villagerGroupId = response.data.villagerGroupId;
		    }

		    if(response.data.province !== null && response.data.province !== ""){
		    	this.nhdyesfgh = response.data.province;
		      if(response.data.city !== null && response.data.city !== ""){
		        this.nhdyesfgh = response.data.province + '/' + response.data.city;
		        if(response.data.region !== null && response.data.region !== ""){
		        	this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region;
		          if(this.form.residenceTown !==null && this.form.residenceTown !=='' && this.form.residenceTown !== undefined){
		            this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region + '/' + this.form.residenceTown;
		            if(this.form.residenceVillage !==null && this.form.residenceVillage !=='' && this.form.residenceVillage !== undefined){
		              this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region + '/' + this.form.residenceTown + '/' + this.form.residenceVillage;
		            }
		          }
		        }else{
		        	// this.nhdyesfgh ='点击选择居住地址'
		        }
		      }else{
		      	// this.nhdyesfgh ='点击选择居住地址'
		      }
		    }else{
		    	this.nhdyesfgh ='点击选择户籍地址'
		    }



		    if( response.data.czrkJzdzList !== null && response.data.czrkJzdzList.length !== 0  ){
		    	// this.selected[0] = response.data.province;
		      // for(var i = 0 ; i < response.data.czrkJzdzList.length ; i++){
		        // this.nameutaiL = i
		        this.mnyesfjerty(0)
		      // }
		      response.data.czrkJzdzList.filter(route =>{
		        if(route.province !== ""){
		          route.plaed =  route.province
		          if(route.city !== ""){
		            route.plaed =  route.plaed + '/' + route.city
		            if(route.city !== ""){
		              route.plaed =  route.plaed + '/' + route.city
		              if(route.region !== ""){
		                route.plaed =  route.plaed + '/' + route.region
		                if(route.town !== ""){
		                  route.plaed =  route.plaed + '/' + route.town
		                  if(route.village !== ""){
		                    route.plaed =  route.plaed + '/' + route.village
		                  }
		                }
		              }
		            }
		          }
		        }else{
		          route.plaed = '请选择居住地址'
		        }

		      })

          this.form.czrkJzdzList   = response.data.czrkJzdzList
		    }

		    this.form.phoneNum   = response.data.phoneNum
		    this.form.houseType   = response.data.houseType
		    this.form.nowIn   = response.data.nowIn
		    this.form.remark   = response.data.remark
			});
		},
		// 取消按钮
		cancel() {
			this.opens = false;
			this.jiezhong = false;
			this.imashow = false;
      this.nhyesfx = false
      this.errorlog=false;
      this.$refs['myCascaderf' + '' + this.nameutaiL][0].$refs.panel.clearCheckedNodes()
			this.reset();
		},
		gywoa() {
			console.log(this.form.isVaccination);
			if (this.form.isVaccination !== null) {
				if (this.form.isVaccination == '是') {
					// 接种疫苗
					this.naneme = false,
					this.shouwes = true;
				}else {
					this.naneme = true,
					this.shouwes = false,
					this.form.czrkJzdzList = [{
						provinceId: '',
						province: '',
						deptId: '',
						cityId: '',
						city: '',
						regionId:'',
						region: '',
						townId: '',
						town: '',
						villageId: '',
						village: '',
						nowIn:'',
            plaed:'请选择居住地址',
            seleted:[],
            optiodne:[]
					}
				]
				}
			}
		},
		gywoatwo() {
			console.log(this.queryParams.isVaccination);
			if (this.queryParams.isVaccination !== null) {
				if (this.queryParams.isVaccination == '是') {
					// 接种疫苗
					// (this.naneme = false), (this.shouwes = true);
					this.shouwestwo = false
				} else {
					// (this.naneme = true), (this.shouwes = false);
					this.shouwestwo = true
				}
			}
		},

		// 表单重置
		reset() {
			this.form = {
				id: null,
				age:'',
				code:'',
				houseType: null,
				domicile: null,
				province: null,
				city: null,
				region: null,
				userName: null,
				gender: null,
				idCard: null,
				phoneNum: null,
				keyIndustries: null,
				isVaccination: null,
				vaccinationPlace: null,
				contraindication: null,
				nowIn: '',
        gridId:null,
				remark: null,
        residenceTown:null,
        residenceVillage:null,
        czrkJzdzList: [
        	{
        		provinceId: '',
        		province: '',
        		deptId: '',
        		cityId: '',
        		city: '',
        		regionId:'',
        		region: '',
        		townId: '',
        		town: '',
        		villageId: '',
        		village: '',
        		nowIn:'',
            plaed:'请选择居住地址',
        		disableg:false,
            optiodne:[],
            seleted:[]
        	}
        ]
			};
			this.resetForm('form');
		},
		/** 搜索按钮操作 */
		handleQuery() {
			this.queryParams.pageNum = 1;
			console.log(this.queryParams)
        this.getList();

		},
		/** 重置按钮操作 */
		resetQuery() {
			this.nhue = false
			this.selectedtwo = []
			setTimeout( ()=>{
				this.nhue = true
			},100)
			this.queryParams.province = undefined;
			this.queryParams.city = undefined;
			this.queryParams.region = undefined;
      this.queryParams.deptId = undefined
      this.queryParams.provinceIdXjd = undefined
      this.queryParams.cityIdXjd = undefined
      this.queryParams.regionIdXjd = undefined
      this.queryParams.villageTownsIdXjd = undefined
      this.queryParams.villageIdXjd = undefined;
      this.queryParams.provinceId = undefined
      this.queryParams.cityId = undefined
      this.queryParams.regionId = undefined
      this.queryParams.villageTownsId = undefined
      this.queryParams.villageId = undefined
      this.listd = []
      this.lser = []
			this.resetForm('queryForm');
			this.handleQuery();
		},
		// 多选框选中数据
		handleSelectionChange(selection) {
			this.ids = selection.map(item => item.id);
			this.single = selection.length !== 1;
			this.multiple = !selection.length;
		},
		/** 新增按钮操作 */
		handleAdd() {
			this.reset();
			this.opens = true;
      if(this.typeOptionsname.length == 0){
        this.getDicts('renyuanfenlei').then(response => {
        	this.typeOptionsname = response.data;
        });
      }
      if(this.typeOptionstyzandeh.length == 0){
        // 与户主关系
        this.getDicts('yuhuzhuguanxi').then(response => {
        	this.typeOptionstyzandeh = response.data;
        });
      }
			(this.naneme = false),
			(this.shouwes = false);
			this.form.province = this.selected[0];
			this.villageTownshy = '';
			this.naiseurya = '';
			this.hsuej = '';
      this.senlsduea = false
       this.nhyesfx = true
			this.form.city = this.selected[1];
			this.form.region = this.selected[2];
			this.title = '添加人员信息';
			this.jdourdjoaj = true;
			this.jue = true
      this.nhdyesfgh = '点击选择户籍地址'
      this.shouwef = true
      this.nameutaiL = 0
      this.nhduesw = this.nhduesw +1
      // this.nameutaiL = 0
      this.mnyesfjer(0)
       this.ndhesdweaf = '点击选择网格'
      // this.form.province = '安徽省';
      // this.form.city = '安庆市';
      // this.form.region = '潜山市';
      // this.form.residenceTown = '梅城镇';
      // this.form.residenceVillage = '龙井社区';
      // this.nhdyesfgh = this.form.province + '/' + this.form.city + '/' + this.form.region + '/' + this.form.residenceTown + '/' + this.form.residenceVillage;
			console.log(this.form)
		},
		/** 修改按钮操作 */
		handleUpdate(row) {
      // this.nhsxs = row
      console.log(row)
			this.reset();
			const id = row;
      this.nhdyesfgh ='点击选择户籍地址'
      if(this.typeOptionsname.length == 0){
        this.getDicts('renyuanfenlei').then(response => {
        	this.typeOptionsname = response.data;
        });
      }
      if(this.typeOptionstyzandeh.length == 0){
        // 与户主关系
        this.getDicts('yuhuzhuguanxi').then(response => {
        	this.typeOptionstyzandeh = response.data;
        });
      }
      // this.jiezhong = true
			getInfo(row).then(response => {
				this.form = response.data;
				this.jue = false
        this.nhdyesku = true
        this.senlsduea = true
				if(response.data.province !== null && response.data.province !== ""){
					this.nhdyesfgh = response.data.province;
				  if(response.data.city !== null && response.data.city !== ""){
				    this.nhdyesfgh = response.data.province + '/' + response.data.city;
				    if(response.data.region !== null && response.data.region !== ""){
				    	this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region;
				      if(this.form.villageTowns !==null && this.form.villageTowns !=='' && this.form.villageTowns !== undefined){
				        this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region + '/' + this.form.villageTowns;
				        if(this.form.village !==null && this.form.village !=='' && this.form.village !== undefined){
				          this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region + '/' + this.form.villageTowns + '/' + this.form.village;
				        }
				      }
				    }else{
				    	// this.nhdyesfgh ='点击选择居住地址'
				    }
				  }else{
				  	// this.nhdyesfgh ='点击选择居住地址'
				  }
				}else{
					this.nhdyesfgh ='点击选择户籍地址'
				}
        this.nhyesfx = true

				if(response.data.czrkJzdzList.length !== 0 && response.data.czrkJzdzList !== null){
					// this.selected[0] = response.data.province;
				  // for(var i = 0 ; i < response.data.czrkJzdzList.length ; i++){
				    // this.nameutaiL = i
				    response.data.czrkJzdzList.unshift(response.data.czrkJzdzList[0])
				    // this.form = response.data;
				    this.mnyesfjerty(0)
				  // }
				  response.data.czrkJzdzList.filter(route =>{
				    route.seleted = []
				    if(route.province !== ""){
				      route.plaed =  route.province
				      if(route.city !== ""){
				        route.plaed =  route.plaed + '/' + route.city
				        if(route.city !== ""){
				          // route.plaed =  route.plaed + '/' + route.city
				          if(route.region !== ""){
				            route.plaed =  route.plaed + '/' + route.region
				            if(route.town !== ""){
				              route.plaed =  route.plaed + '/' + route.town
				              if(route.village !== ""){
				                route.plaed =  route.plaed + '/' + route.village
				              }
				            }
				          }
				        }
				      }
				    }else{
				      route.plaed = '请选择居住地址'
				    }

				  })
				}else{
				    console.log(this.form.czrkJzdzList,58)
				}

        if(response.data.gridName !==null){
          this.ndhesdweaf = response.data.gridName
        }else{
          this.ndhesdweaf = '点击选择网格'
        }


				// this.onSelected(this.selected)
				setTimeout( ()=>{
					this.jue = true
				},100)
				// this.jue = true
				console.log(this.selected,98767)
				// if(this.form){
				if (this.form.isVaccination !== null) {
					if (this.form.isVaccination == '是') {
						// 接种疫苗
						(this.naneme = false), (this.shouwes = true);
					} else {
						(this.naneme = true), (this.shouwes = false);
					}
				} else {
					this.naneme = false;
					this.shouwes = false;
				}

				if (this.form.dictValue !== null && this.form.dictValue !== undefined) {
					this.jicheru(this.form.dictValue);
				}
				if (this.form.villageTowns !== null) {
					this.villageTownshy = this.form.villageTowns;
					if (this.form.village !== null) {
						this.villageTownshy = this.form.village;
						if (this.form.villagerGroup !== null) {
							this.villageTownshy = this.form.villagerGroup;
						}
					}
				}else{
					this.villageTownshy = '';
				}
        console.log(this.villageTownshy,3455)

				// if (this.form.vaccineInfoUserList !== null) {
				// 	if (this.form.vaccineInfoUserList.length == 0) {

				// 	}else {
				// 		this.form.isVaccination = '是'
				// 		this.form.vaccineInfoUserList.filter(router =>{
				// 			if(router.url == undefined){
				// 				router.url = null
				// 			}else if(router.url == []){
				// 				router.url = null
				// 			}
				// 			router.disableg = true
				// 		})
				// 	}
				// }
				// villageTownshy
				// }
				// this.heuiq.push()
        // this.form = response.data;
				this.naiseurya = '';
				this.hsuej = '';
				this.opens = true;
				this.jdourdjoaj = false;
        this.shouwef = false
				this.title = '查看确认信息';
			});
		},
		chahe(data) {
			console.log(data);
			// let labelValue = this.$refs['myCascader'].inputValue
			// console.log(labelValue)
			console.log(this.$refs['myCascader'])
			// this.form.provinceId = data[1];
			// this.form.cityId = data[2];
			// this.form.regionId = data[3];
   //    this.form.villageTownsId = data[3];
   //    this.form.villageId = data[3];
   let nhdye = []
   nhdye = this.$refs['myCascader'].getCheckedNodes()[0].pathLabels
      if(data.length == 1){
        this.form.provinceId = data[ data.length - 1];
        this.form.province = nhdye[ data.length - 1];
        this.$set(this.form, 'city', null)
        this.$set(this.form, 'cityId', null)
        this.$set(this.form, 'region', null)
        this.$set(this.form, 'regionId', null)
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 2){
        this.form.cityId = data[ data.length - 1];
        this.form.city = nhdye[ data.length - 1];
        this.$set(this.form, 'region', null)
        this.$set(this.form, 'regionId', null)
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 3){
        this.form.regionId = data[ data.length - 1];
        this.form.region = nhdye[ data.length - 1];
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 4){
        this.form.villageTownsId = data[ data.length - 1];
        this.form.villageTowns = nhdye[ data.length - 1];
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 5){
        this.form.villageId = data[ data.length - 1];
        this.form.village = nhdye[ data.length - 1];
      }
      this.form.deptId = data[ data.length - 1];

			// if (this.form.villageTowns !== undefined) {
			// 	this.hsuej = this.form.villageTowns;
			// 	if (this.form.village !== undefined) {
			// 		this.hsuej = this.form.villageTowns + this.form.village;
			// 		if (this.form.villagerGroup !== undefined) {
			// 			this.hsuej = this.form.villageTowns + this.form.village + this.form.villagerGroup;
			// 		}
			// 	}
			// }
			this.form.domicile = '';
      console.log(this.form)

      // if(this.jdourdjoaj == true){
      //   //新增
      //   this.form.nowIn =  this.hsuej

      // }else{
      //    this.form.nowIn !=  this.hsuej
      // }
		},
		chahetwo(data) {
			console.log(data)
      if(data.length == 1){
        this.queryParams.provinceId = data[ data.length - 1];
      }else if(data.length == 2){
        this.queryParams.provinceId = undefined
        this.queryParams.cityId = data[ data.length - 1];
      }else if(data.length == 3){
        this.queryParams.provinceId = undefined
        this.queryParams.cityId = undefined
        this.queryParams.regionId = data[ data.length - 1];
      }else if(data.length == 4){
        this.queryParams.provinceId = undefined
        this.queryParams.cityId = undefined
        this.queryParams.regionId = undefined
        this.queryParams.villageTownsId = data[ data.length - 1];
      }else if(data.length == 5){
        this.queryParams.provinceId = undefined
        this.queryParams.cityId = undefined
        this.queryParams.regionId = undefined
        this.queryParams.villageTownsId = undefined
        this.queryParams.villageId = data[ data.length - 1];
      }
		},
    // 居住地址搜索条件
    chahetwos(data) {
    	console.log(data)
      if(data.length == 1){
        this.queryParams.provinceIdXjd = data[ data.length - 1];
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 2){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = data[ data.length - 1];
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 3){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = data[ data.length - 1];
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 4){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = data[ data.length - 1];
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 5){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = data[ data.length - 1];
      }
    },
		/** 提交按钮 */
		submitForm() {
			this.$refs['form'].validate(valid => {
				console.log(this.selected);
				if (valid) {
          let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
          let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
          // 护照
           // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
           let ncjsle = /^[a-zA-Z0-9]{5,17}$/
           let nhyeli = /^[a-zA-Z]{5,17}$/
          // 港澳
          let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
          // 台湾
          // let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
          var tw =  /^[0-9]{8}$/;
           var twe = /^[0-9]{10}$/;
          // 校验身份证：
          console.log(reg.test(this.form.idCard),23741)
          if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
          	this.idea();
          	// this.go(this.form.idCard.length);
          	// callback()
          } else {
            if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
               console.log(3)
            }else{
              if(gnse.test(this.form.idCard)  ){
                  console.log(4)
              }else{
                if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
                  console.log(5)
                }else{
                  this.msgInfo('证件格式不正确');
                  return false
                }
              }

            }
          	// callback(new Error('身份证号码不正确'))
          }
          // let reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
          // if (reg.test(this.form.idCard)) {
          // 	// this.idea();
          // 	// this.go(this.form.idCard.length);
          // 	// callback()
          // } else {
          // 	// callback(new Error('身份证号码不正确'))
          // 	this.msgInfo('身份证号码不正确');
          //   return false
          // }

          // let redw = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/;
          // console.log(this.form)
          // console.log(redw.test(this.form.phoneNum))
          // if (this.form.phoneNum == null) {
          // 	// this.idea();
          // 	// this.go(this.form.idCard.length);
          // 	// callback()
          // } else{
          //   if(this.form.phoneNum !== ''){
          //     if(redw.test(this.form.phoneNum)){

          //     }else{
          //       this.msgInfo('手机号码不正确');
          //       return false
          //     }
          //   }

          // 	// callback(new Error('身份证号码不正确'))

          // }

					if (this.form.id != null) {
						// this.form.nowIn = this.naiseurya + this.form.nowIn;
						// this.form.domicile = this.hsuej + this.form.domicile;
            if(this.ncdwee == 1){
              this.form.czrkJzdzList = this.form.czrkJzdzList.splice(1)
            }
            this.ncdwee = this.ncdwee + 1
            // this.form.czrkJzdzList = this.form.czrkJzdzList.splice(1)
             this.senlsduea = false
             // this.form.isRl = '是'
            console.log(this.form.czrkJzdzList)
						addInfo(this.form).then(response => {
							// this.msgSuccess('新增成功');
							// this.opens = false;
							// this.getList();
						  if(response.code == 200){
						    this.msgSuccess('操作成功');
						    this.opens = false;
						    this.nhyesfx = false
						    this.getList();
						    // this.getList();
						  }else{
						    this.$message.error(response.msg + '请重新填写');
						    this.opens = false
						  }
						});
					} else {
						// this.form.nowIn = this.naiseurya + this.form.nowIn;
						// this.form.domicile = this.hsuej + this.form.domicile;
						// if (this.form.nowIn == 'undefined') {
						// 	this.form.nowIn = null;
						// }
            // if(this.form.czrkJzdzList[0].province == ''){
            //   this.msgSuccess('请填写居住地址');
            //   return false
            // }
						console.log(this.form)
            this.form.czrkJzdzList.filter(route =>{
              route.seleted = []
              route.optiodne = []
            })
						// return
						addInfo(this.form).then(response => {
							// this.msgSuccess('新增成功');
							// this.opens = false;
							// this.getList();
              if(response.code == 200){
                this.msgSuccess('操作成功');
                this.opens = false;
                this.nhyesfx = false
                this.getList();
                // this.getList();
              }else{
                this.$message.error(response.msg + '请重新填写');
                this.opens = false
              }
						});
					}
				}
			});
		},
		/** 删除按钮操作 */
		handleDelete(row) {
			const ids = row.id || this.ids[0];
      this.idfer = ids
      this.imashow = true;
			// this.$confirm('是否确认删除疫苗信息编号为"' + ids + '"的数据项?', '警告', {
			// 	confirmButtonText: '确定',
			// 	cancelButtonText: '取消',
			// 	type: 'warning'
			// })
			// 	.then(function() {
			// 		return delInfo(ids);
			// 	})
			// 	.then(() => {
			// 		this.getList();
			// 		this.msgSuccess('删除成功');
			// 	});
		},
    submitFormfr(row){
      // this.nhyesoder = row
      const bgt = {}
      bgt.id = this.nhyesoder.id
      if(row == 0){
        this.jiezhong = false;
        bgt.idCard = this.nhyesoder.fqsfzjhm
        // 父亲
       this.handleUpdate(bgt)
      } else if(row == 1){
        // 母亲
        this.jiezhong = false;
        bgt.idCard = this.nhyesoder.mqsfzjhm
       this.handleUpdate(bgt)
          }

    },
    // 点击新增
    tijea(index) {
    	console.log(index+ 1)
    	this.nameutaiL = index+ 1
       this.cascaderKey = index + 1
    	this.form.czrkJzdzList.push({
    		provinceId: '',
    		province: '',
    		deptId: '',
    		cityId: '',
    		city: '',
    		regionId:'',
    		region: '',
    		townId: '',
    		town: '',
    		villageId: '',
    		village: '',
    		nowIn:'',
    		disableg:false,
        seleted:[],
        optiodne:[],
        plaed:'请选择居住地址',
    	});
      this.nhyeojd = true
      this.mnyesfjer(0)
      // this.form.czrkJzdzList[this.nameutaiL].optiodne
      // console.log(this.cascaderKey,123465)
      // // console.log()
      // console.log( this.$refs.myCascaderf[this.$refs.myCascaderf.length - 1] ,258)
      // // console.log(this.$refs['myCascaderf'][0].$refs.panel.clearCheckedNodes(),258)
      // this.$refs['myCascaderf'][this.$refs.myCascaderf.length - 1].$refs.panel.clearCheckedNodes()
      // console.log(this.$refs['myCascaderf'][0].$refs.panel.checkedValue,34567)
      // this.mnyesfjer(0)
    },
    // 点击删除
    naeyrfakjf(index, item) {
      if(this.form.czrkJzdzList.length == 2){
        this.$message.error('居住地为必填不可全删除');
        return  false
      }
    	var that = this
    	this.$confirm('是否确认删除信息?', '警告', {
    		confirmButtonText: '确定',
    		cancelButtonText: '取消',
    		type: 'warning'
    	})
    		.then(function() {
    			return that.delseeug(index,item)
    		})
    		.then(() => {
    			// this.getList();
    			// this.msgSuccess('删除成功');
    		});

    },
    delseeug(index,item){
    	console.log(234)
    	if (this.form.czrkJzdzList.length == 1) {
    		// if (this.jdourdjoaj == true) {
    		// 	// 新增
    		// 	this.form.vaccineInfoUserList = [{
    		// 		vaccineName: '',
    		// 		vaccinationTime: '',
    		// 		vaccinationPlace: '',
    		// 		jici: '',
    		// 		progress: '',
    		// 		url:null,
    		// 		disableg:false
    		// 	}]
    		// } else {
    		// 	// 修改
    		// 	let ide = this.form.vaccineInfoUserList[index].id;
    		// 	console.log(this.form.vaccineInfoUserList[index]);
    		// 	// ()
    		// 	console.log(ide);
    		// 	if (ide !== undefined) {
    		// 		console.log(234);
    		// 		delInfort(ide).then(response => {
    		// 			this.msgSuccess('操作成功');
    		// 		});
    		// 	}
    		// 	this.form.vaccineInfoUserList = [{
    		// 		vaccineName: '',
    		// 		vaccinationTime: '',
    		// 		vaccinationPlace: '',
    		// 		jici: '',
    		// 		progress: '',
    		// 		url:null,
    		// 		disableg:false
    		// 	}]
    		// }

        this.msgSuccess('只剩一条数据，无法删除');
    		return false;
    	}
    	if (this.jdourdjoaj == true) {
    		// 新增
    		this.form.czrkJzdzList.splice(index, 1);
    	} else {
    		// 修改
    		// ()
    		this.form.czrkJzdzList.splice(index, 1);
    	}
      this.msgSuccess('删除成功');
    },
		/** 导出按钮操作 */
		handleExport() {
			var heuia = {
                tableName: "vaccine_info",
                empty: false,
                condition: {}
            }
            var that=this;
            heuia.condition = this.queryParams
			const queryParams = this.queryParams
			this.$confirm('是否确认导出?', "警告", {
			    confirmButtonText: "确定",
			    cancelButtonText: "取消",
			    type: "warning"
			  }).then(function() {
			    return exportConfig(heuia);
			  }).then(response => {
				  const jues= response.data
          that.exportflag=false;
          that.$alert('数据导入中，系统将自动处理数据，请稍后查看结果', "导出结果", { dangerouslyUseHTMLString: true });
          // that.msgSuccess('数据导入中，系统将自动处理数据，请稍后查看结果');
				// exportConfigtyr().then(responsr => {
				// 			console.log(responsr)
				// 			if(responsr.data == true){
				// 				// this.download(jues);
				// 				// window.location.href = jues
				// 				window.open(jues)
				// 			}else{
				// 				this.msgSuccess('数据暂未加载完成，请稍后点击导出进度按钮查看');
				// 			}
				// 		});

			  })


			// this.download('/boman-web-core/core/info/export',
			// 	{
			// 		...this.queryParams
			// 	},
			// 	`post_${new Date().getTime()}.xlsx`
			// );

		},
   chahetwoswge(data){
     console.log(data)
     this.form.gridId = data[data.length - 1]
     console.log(this.form.gridId)

   },
		// 点击查看
		chakei(row) {
			console.log(row);
      this.nhyesoder = row
      // if(row == 0){
      //   // 父亲
      //  this.handleUpdate(row.fqsfzjhm)
      // } else if(row == 1){
      //   // 母亲
      //  this.handleUpdate(row.mqsfzjhm)
      //     }
          // yiaoe({idCard:row.idCard}).then(response => {
			// 	// this.msgSuccess('操作成功');
			// 	if(response.code == 200){
			// 		this.jiezheList = response.data
			// 	}
			// });

			this.jiezhong = true;
		},
    // 查看家庭成员信息
    handleDeletefamide(row){
      this.nhyesoder = 3
	  if(row.code == null){
	  		  this.msgSuccess('无户编号信息,无法查看家庭成员信息');
	  		  return  false
	  }
	  if(row.code == ''){
	    this.msgSuccess('无户编号信息,无法查看家庭成员信息');
	    return  false
	  }
	  this.jiezhong = true;
      listInfotjjsfaml(row.code).then(response => {
        				// this.msgSuccess('操作成功');
        					this.jiezheList = response.data
                  this.totalfr = 0

      }	)
    },
    /** 导入按钮操作 */
    handleImport() {
      this.upload.title = "数据导入";
      this.upload.opens = true;
    },
    // 获取屏幕高度
              showFilterForm () {
                    this.filterActive = !this.filterActive
                    this.changeTableMaxHeight()
                  },

                  changeTableMaxHeight () {
                    let height = document.body.offsetHeight // 网页可视区域高度
                    // if (this.filterActive) {
                    //   this.tableMaxHeight = height - 320
                    // } else {
                      this.tableMaxHeight = height - 250
                    // }
                    console.log(height)
                  },

  // 判断是否选择户主
  changese(){
    console.log(this.form.houseType)
    if(this.form.houseType == '是'){
      this.form.code = this.form.idCard
      this.nhe = false
    }else{
      this.form.code != this.form.idCard
      this.nhe = true
    }
  },
  // 常住人口
  chajnd(){
   this.queryParams.queryType = 'cz'
   this.queryParams.pageNum = 1
   this.nhykis = false
   this.nhyki = true

   this.getListch();

  },
  // 户籍人口
  chajnds(){
   this.queryParams.queryType = 'hj'
   this.queryParams.pageNum = 1
   this.nhykis = true
   this.nhyki = false
   this.getList();
  },
  click(event) {
    console.log(event)
        this.$nextTick(() => {
          let d = document.getElementsByClassName("cascader"+ this.idsg)
          this.nameutaiL +'s'
          console.log("cascader"+ '' +this.nameutaiL);
          console.log(48);
          console.log(d);
          console.log(d[0]);
          console.log( !d[0].onclick);
          if( d[event] && !d[event].onclick ){
            d[event].onclick = function(e) {
              console.log(e);
              if( e.target.className == "el-cascader-node__label" ){
                e.target.previousElementSibling.click();
              }
            }
          }
        });
      },
      clicks(event) {
            this.$nextTick(() => {
              let d = document.getElementsByClassName("cascader"+'' +this.id);
              console.log("cascader"+ '' +this.nameutaiL);
              console.log(48);
              console.log(d);
              console.log(d[0]);
              console.log( !d[0].onclick);
              if( d[0] && !d[0].onclick ){
                d[0].onclick = function(e) {
                  console.log(e);
                  if( e.target.className == "el-cascader-node__label" ){
                    e.target.previousElementSibling.click();
                  }
                }
              }
            });
          }
	}
};
</script>
<style lang="scss">
  .placf {
    .el-input {
      .el-input__inner::placeholder{
        color: #333;
      }
      /* 谷歌 */
          .el-input__inner::-webkit-input-placeholder {
             color: #333;
          }
           /* 火狐 */
         .el-input__inner:-moz-placeholder {
              color: #333;
          }
           /*ie*/
         .el-input__inner:-ms-input-placeholder {
              color: #333;
          }
    }

  }
	.jdueuh{
		.el-form-item__label {
			width: 0px !important;
		}
		.el-form-item__content {
			margin-left: 10px !important;
			// width: 70%;
		}
	}
	.ijeuhdy{
		.el-form-item__label {
			width: 80px !important;
		}
		.el-form-item__content {
			margin-left: 80px !important;
			// width: 70%;
		}
	}
	.znshu{
		.el-form-item__label {
			width: 80px !important;
			// padding-left: 30px;
		}
		.el-form-item__content {
			margin-left: 80px !important;

			// width: 70%;
		}
		.el-input__inner{
			padding-left: 0 !important;
		}
	}
	.heioangd{
		.el-form-item__label {
			width: 70px !important;
		}
		.el-form-item__content {
			margin-left: 70px !important;
			// width: 70%;
		}
	}
.hues {
	.area-select {
		margin-left: 0 !important;
		margin-right: 10px;
	}
}
.jehak {
	.el-form-item {
		width: 100%;
	}
	.el-form-item__content {
		width: 60%;
	}
}
.oiuyty {
	.el-form-item__label {
		width: 80px !important;
	}
	.el-form-item__content {
		margin-left: 80px !important;
		// width: 70%;
	}
	input {
		padding-right: 0 !important;
	}
}
.el-dialog__body {
	padding-top: 0;
	padding-bottom: 0;
}
.jhy {
	// width: 100%;
	// .el-form-item__content {
	// 	width: 100%;
	// 	margin-left: 0 !important;
	// }
	.el-form-item__content {
		margin-left: 55px !important;
		// width: 70%;
	}
	.el-form-item__label {
		width: 55px !important;
	}
}
.ehiqya {
	.el-form-item__content {
		display: flex;
		.jdidur {
			flex: 1;
			margin-left: 10px;
			// text-align: left;
			display: flex;
		}
	}
	.upload-demo {
		display: flex;
	}
}
.jdoier{
	display: flex;
	align-items: center;
	.upload-demo {
		display: flex;
	}
}
.hueyde {
	width: 18px;
	height: 18px;
	margin: 0 5px;
	margin-right: 10px;
}
.hueydele {
	width: 15px;
	height: 18px;
}
.hyeoa {
	height: 100%;
	display: flex;
	align-items: center;
}
.hjdoecdre {
	// margin-top: 50%;
	transform: translateY(50%);
}
.ojhgy {
	.el-dialog {
		padding-bottom: 40px;
		padding-top: 10px;
	}
	.el-dialog__header {
		padding-bottom: 20px;
	}
	.el-table .cell {
		line-height: 50px;
	}
}
.hueya{
	margin-left: 0 !important;
}
.iejghiadh{
	.el-input__inner{
		padding-right: 0 !important;
		padding-left: 5px !important;
	}
}
</style>
